ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 956 by gezelter, Tue May 16 02:06:37 2006 UTC vs.
Revision 962 by gezelter, Wed May 17 19:54:27 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
888 <  --without-zlib to disable zlib usage completely
889 <  --without-fftw          if you turn this off you cannot compute undulation spectra
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888 >  --with-fftw=DIR         root directory path of fftw installation (defaults
889 >                          to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
891    --with-cgal-makefile=FILE  CGAL makefile that should be used
892  
# Line 1414 | Line 1416 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1416  
1417  
1418  
1417 # ACX_CHECK_FFTW()
1418 # ----------------
1419 # This macro checks for fftw header files and libraries,
1420 # including the possible prefixing with s or d to determine precision.
1421 # Arg 1 is the fftw header/library name to check for, without
1422 # prefix or anything else (e.g. rfftw_mpi for real MPI transforms)
1423 # Arg 2 is the size of the real variable used.
1419  
1420  
1421  
# Line 1429 | Line 1424 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1424  
1425  
1426  
1427 + #
1428 + #
1429 + #
1430  
1431  
1432  
1433  
1436 #
1437 #
1438 #
1434  
1435  
1436   # AC_F90_MODULE_NAMES
# Line 1444 | Line 1439 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1439   # Figure out how the Fortran 90 compiler constructs module file names
1440   #
1441   # AC_F90_MODULE_NAMES
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468  
1469  
1470  
# Line 1480 | Line 1501 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1501  
1502  
1503  
1504 +
1505 +
1506 +
1507 +
1508 +
1509 +
1510 +
1511 +
1512 +
1513 +
1514 +
1515 +
1516 +
1517 +
1518 +
1519 +
1520 +
1521 +
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528 +
1529 +
1530   # who am i
1531   # Make sure we can run config.sub.
1532   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 1577 | Line 1624 | fi
1624  
1625    msg="$msg, debug mode"
1626   fi
1627 +
1628 +
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642  
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646  
1647 +        USE_SINGLE_PRECISION=yes
1648 +
1649 + fi
1650 +
1651   # Checks for programs.
1652   ac_ext=cc
1653   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 2740 | Line 2809 | fi
2809  
2810  
2811   # Provide some information about the compiler.
2812 < echo "$as_me:2743:" \
2812 > echo "$as_me:2812:" \
2813       "checking for Fortran compiler version" >&5
2814   ac_compiler=`set X $ac_compile; echo $2`
2815   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3492 | Line 3561 | if test "$AR" = "NONE"; then
3561   fi
3562  
3563   if test "$AR" = "NONE"; then
3495  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3496 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3497   { (exit 1); exit 1; }; }
3564    cat >confcache <<\_ACEOF
3565   # This file is a shell script that caches the results of configure
3566   # tests run on this system so they can be shared between configure
# Line 3991 | Line 4057 | FCFLAGS="$FCFLAGS $ac_verb"
4057   # flags.
4058   ac_save_FFLAGS=$FCFLAGS
4059   FCFLAGS="$FCFLAGS $ac_verb"
4060 < (eval echo $as_me:3994: \"$ac_link\") >&5
4060 > (eval echo $as_me:4060: \"$ac_link\") >&5
4061   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4062   echo "$ac_fc_v_output" >&5
4063   FCFLAGS=$ac_save_FFLAGS
# Line 4069 | Line 4135 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4135   # flags.
4136   ac_save_FFLAGS=$FCFLAGS
4137   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4138 < (eval echo $as_me:4072: \"$ac_link\") >&5
4138 > (eval echo $as_me:4138: \"$ac_link\") >&5
4139   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4140   echo "$ac_fc_v_output" >&5
4141   FCFLAGS=$ac_save_FFLAGS
# Line 4805 | Line 4871 | FCFLAGS="$FCFLAGS $ac_verb"
4871   # flags.
4872   ac_save_FFLAGS=$FCFLAGS
4873   FCFLAGS="$FCFLAGS $ac_verb"
4874 < (eval echo $as_me:4808: \"$ac_link\") >&5
4874 > (eval echo $as_me:4874: \"$ac_link\") >&5
4875   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4876   echo "$ac_fc_v_output" >&5
4877   FCFLAGS=$ac_save_FFLAGS
# Line 4883 | Line 4949 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4949   # flags.
4950   ac_save_FFLAGS=$FCFLAGS
4951   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4952 < (eval echo $as_me:4886: \"$ac_link\") >&5
4952 > (eval echo $as_me:4952: \"$ac_link\") >&5
4953   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4954   echo "$ac_fc_v_output" >&5
4955   FCFLAGS=$ac_save_FFLAGS
# Line 5760 | Line 5826 | done
5826   #
5827   # Handle user hints
5828   #
5763 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5764 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5829  
5830   # Check whether --with-zlib or --without-zlib was given.
5831   if test "${with_zlib+set}" = set; then
5832    withval="$with_zlib"
5833 <  if test "$withval" != no ; then
5834 <  echo "$as_me:$LINENO: result: yes" >&5
5835 < echo "${ECHO_T}yes" >&6
5836 <  if test -d "$withval"
5837 <  then
5838 <    ZLIB_HOME="$withval"
5833 >  zlib_dir="$withval"
5834 > else
5835 >                zlib_dir="not_set"
5836 > fi;
5837 > if test "$zlib_dir" != "no"; then
5838 >
5839 > if test "$zlib_dir" != "not_set" ; then
5840 >  if test -d "$zlib_dir"
5841 >  then
5842 >    ZLIB_HOME="$zlib_dir"
5843    else
5844 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5845 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5844 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5845 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5846    fi
5779 else
5780  echo "$as_me:$LINENO: result: no" >&5
5781 echo "${ECHO_T}no" >&6
5847   fi
5783 fi;
5848  
5849   ZLIB_HOME=/usr/local
5850   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6033 | Line 6097 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6097   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6098   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6099  
6036        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6037        then
6038                #
6039                # If both library and header were found, use them
6040                #
6100  
6101 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6043 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6044 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6045 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6046 < else
6047 <  ac_check_lib_save_LIBS=$LIBS
6048 < LIBS="-lz  $LIBS"
6049 < cat >conftest.$ac_ext <<_ACEOF
6050 < /* confdefs.h.  */
6051 < _ACEOF
6052 < cat confdefs.h >>conftest.$ac_ext
6053 < cat >>conftest.$ac_ext <<_ACEOF
6054 < /* end confdefs.h.  */
6101 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6102  
6103 < /* Override any gcc2 internal prototype to avoid an error.  */
6104 < #ifdef __cplusplus
6058 < extern "C"
6059 < #endif
6060 < /* We use char because int might match the return type of a gcc2
6061 <   builtin and then its argument prototype would still apply.  */
6062 < char inflateEnd ();
6063 < #ifdef FC_DUMMY_MAIN
6064 < #ifndef FC_DUMMY_MAIN_EQ_F77
6065 < #  ifdef __cplusplus
6066 <     extern "C"
6067 < #  endif
6068 <   int FC_DUMMY_MAIN() { return 1; }
6069 < #endif
6070 < #endif
6071 < int
6072 < main ()
6073 < {
6074 < inflateEnd ();
6075 <  ;
6076 <  return 0;
6077 < }
6103 > cat >>confdefs.h <<\_ACEOF
6104 > #define HAVE_ZLIB_H 1
6105   _ACEOF
6106 < rm -f conftest.$ac_objext conftest$ac_exeext
6080 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6081 <  (eval $ac_link) 2>conftest.er1
6082 <  ac_status=$?
6083 <  grep -v '^ *+' conftest.er1 >conftest.err
6084 <  rm -f conftest.er1
6085 <  cat conftest.err >&5
6086 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6087 <  (exit $ac_status); } &&
6088 <         { ac_try='test -z "$ac_c_werror_flag"
6089 <                         || test ! -s conftest.err'
6090 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6091 <  (eval $ac_try) 2>&5
6092 <  ac_status=$?
6093 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6094 <  (exit $ac_status); }; } &&
6095 <         { ac_try='test -s conftest$ac_exeext'
6096 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6097 <  (eval $ac_try) 2>&5
6098 <  ac_status=$?
6099 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6100 <  (exit $ac_status); }; }; then
6101 <  ac_cv_lib_z_inflateEnd=yes
6102 < else
6103 <  echo "$as_me: failed program was:" >&5
6104 < sed 's/^/| /' conftest.$ac_ext >&5
6106 >
6107  
6108 < ac_cv_lib_z_inflateEnd=no
6107 < fi
6108 < rm -f conftest.err conftest.$ac_objext \
6109 <      conftest$ac_exeext conftest.$ac_ext
6110 < LIBS=$ac_check_lib_save_LIBS
6111 < fi
6112 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6113 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6114 < if test $ac_cv_lib_z_inflateEnd = yes; then
6115 <  cat >>confdefs.h <<_ACEOF
6108 > cat >>confdefs.h <<\_ACEOF
6109   #define HAVE_LIBZ 1
6110   _ACEOF
6111  
6112 <  LIBS="-lz $LIBS"
6113 <
6114 < fi
6122 <
6123 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6124 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6125 <                echo "$as_me:$LINENO: result: ok" >&5
6126 < echo "${ECHO_T}ok" >&6
6112 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6113 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6114 >                ZLIB="-lz"
6115          else
6128                #
6129                # If either header or library was not found, revert and bomb
6130                #
6116                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6117   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6118 +                ZLIB_INC_DIR=
6119 +                ZLIB_LIB_DIR=
6120 +                ZLIB=
6121                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6122                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6123                  echo "$as_me:$LINENO: result: failed" >&5
6124   echo "${ECHO_T}failed" >&6
6125 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6126 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6127 <   { (exit 1); exit 1; }; }
6125 >                echo ""
6126 >                echo "*********************************************************"
6127 >                echo "* WARNING: Could not find a working zlib installation   *"
6128 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6129 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6130 >                echo "* installation with --with-zlib=DIR                     *"
6131 >                echo "*                                                       *"
6132 >                echo "* OOPSE will still work without zlib installed.         *"
6133 >                echo "*********************************************************"
6134 >                echo ""
6135          fi
6141 fi
6136  
6137  
6138  
6139 + fi
6140 + fi
6141 +
6142 + #
6143 + # Handle user hints
6144 + #
6145 +
6146   # Check whether --with-fftw or --without-fftw was given.
6147   if test "${with_fftw+set}" = set; then
6148    withval="$with_fftw"
6149 <
6149 >  fftw_dir="$withval"
6150   else
6151 <  with_fftw=yes
6151 >                fftw_dir="not_set"
6152   fi;
6153 < if test "$with_fftw" = "no"; then
6153 > if test "$fftw_dir" != "no"; then
6154  
6155 < cat >>confdefs.h <<\_ACEOF
6156 < #define WITHOUT_FFTW
6157 < _ACEOF
6158 <
6155 > if test "$fftw_dir" != "not_set" ; then
6156 >  if test -d "$fftw_dir"
6157 >  then
6158 >    FFTW_HOME="$fftw_dir"
6159 >  else
6160 >    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6161 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6162 >  fi
6163   fi
6159 if test "$with_fftw" = "yes"; then
6160  sizeof_real=8
6164  
6165 <
6166 < if test -z "$ac_fftw_firstname"; then
6167 <
6168 < sizeof_real=$sizeof_real
6166 < if test $sizeof_real = 8; then
6167 <  prec="double"
6168 <  fftwcheckprefix=d
6169 < else
6170 <  prec="single"
6171 <  fftwcheckprefix=s
6165 > FFTW_HOME=/usr/local
6166 > if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6167 > then
6168 >        FFTW_HOME=/usr
6169   fi
6170  
6171 < xfftwname=${fftwcheckprefix}fftw3
6171 > #
6172 > # Locate fftw, if wanted
6173 > #
6174 > if test -n "${FFTW_HOME}"
6175 > then
6176 >        FFTW_OLD_LDFLAGS=$LDFLAGS
6177 >        FFTW_OLD_CPPFLAGS=$LDFLAGS
6178 >        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6179 >        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6180  
6176 ok="no"
6177 # check header doesn't work, since we must use mpicc to get includes,
6178 # we cant trust cpp.
6179 echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6180 echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6181 cat >conftest.$ac_ext <<_ACEOF
6182 /* confdefs.h.  */
6183 _ACEOF
6184 cat confdefs.h >>conftest.$ac_ext
6185 cat >>conftest.$ac_ext <<_ACEOF
6186 /* end confdefs.h.  */
6187 #include <$xfftwname.h>
6188 #ifdef FC_DUMMY_MAIN
6189 #ifndef FC_DUMMY_MAIN_EQ_F77
6190 #  ifdef __cplusplus
6191     extern "C"
6192 #  endif
6193   int FC_DUMMY_MAIN() { return 1; }
6194 #endif
6195 #endif
6196 int
6197 main ()
6198 {
6181  
6182 <  ;
6183 <  return 0;
6184 < }
6185 < _ACEOF
6186 < rm -f conftest.$ac_objext
6205 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6206 <  (eval $ac_compile) 2>conftest.er1
6207 <  ac_status=$?
6208 <  grep -v '^ *+' conftest.er1 >conftest.err
6209 <  rm -f conftest.er1
6210 <  cat conftest.err >&5
6211 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6212 <  (exit $ac_status); } &&
6213 <         { ac_try='test -z "$ac_c_werror_flag"
6214 <                         || test ! -s conftest.err'
6215 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6216 <  (eval $ac_try) 2>&5
6217 <  ac_status=$?
6218 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6219 <  (exit $ac_status); }; } &&
6220 <         { ac_try='test -s conftest.$ac_objext'
6221 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6222 <  (eval $ac_try) 2>&5
6223 <  ac_status=$?
6224 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6225 <  (exit $ac_status); }; }; then
6182 >        ac_ext=c
6183 > ac_cpp='$CPP $CPPFLAGS'
6184 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6185 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6186 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6187  
6188 < fftwname=$xfftwname
6189 < echo "$as_me:$LINENO: result: yes" >&5
6190 < echo "${ECHO_T}yes" >&6
6191 <
6188 >        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6189 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6190 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6191 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6192   else
6193 <  echo "$as_me: failed program was:" >&5
6194 < sed 's/^/| /' conftest.$ac_ext >&5
6234 <
6235 < echo "$as_me:$LINENO: result: no" >&5
6236 < echo "${ECHO_T}no" >&6
6237 < fi
6238 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6239 <
6240 < # fftwname was set if we found a header
6241 <
6242 < if test -n "$fftwname"; then
6243 < # we cannot run the code since an MPI program might not be allowed
6244 < # on a login node of a supercomputer
6193 >  ac_check_lib_save_LIBS=$LIBS
6194 > LIBS="-lfftw3  $LIBS"
6195   cat >conftest.$ac_ext <<_ACEOF
6196   /* confdefs.h.  */
6197   _ACEOF
6198   cat confdefs.h >>conftest.$ac_ext
6199   cat >>conftest.$ac_ext <<_ACEOF
6200   /* end confdefs.h.  */
6201 < #include <$fftwname.h>
6201 >
6202 > /* Override any gcc2 internal prototype to avoid an error.  */
6203 > #ifdef __cplusplus
6204 > extern "C"
6205 > #endif
6206 > /* We use char because int might match the return type of a gcc2
6207 >   builtin and then its argument prototype would still apply.  */
6208 > char fftw_execute ();
6209   #ifdef FC_DUMMY_MAIN
6210   #ifndef FC_DUMMY_MAIN_EQ_F77
6211   #  ifdef __cplusplus
# Line 6260 | Line 6217 | main ()
6217   int
6218   main ()
6219   {
6220 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6220 > fftw_execute ();
6221    ;
6222    return 0;
6223   }
6224   _ACEOF
6225 < rm -f conftest.$ac_objext
6226 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6227 <  (eval $ac_compile) 2>conftest.er1
6225 > rm -f conftest.$ac_objext conftest$ac_exeext
6226 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6227 >  (eval $ac_link) 2>conftest.er1
6228    ac_status=$?
6229    grep -v '^ *+' conftest.er1 >conftest.err
6230    rm -f conftest.er1
# Line 6281 | Line 6238 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6238    ac_status=$?
6239    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6240    (exit $ac_status); }; } &&
6241 <         { ac_try='test -s conftest.$ac_objext'
6241 >         { ac_try='test -s conftest$ac_exeext'
6242    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6243    (eval $ac_try) 2>&5
6244    ac_status=$?
6245    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6246    (exit $ac_status); }; }; then
6247 <
6291 < ok=yes
6292 < usedprefix=$fftwcheckprefix
6293 <
6247 >  ac_cv_lib_fftw3_fftw_execute=yes
6248   else
6249    echo "$as_me: failed program was:" >&5
6250   sed 's/^/| /' conftest.$ac_ext >&5
6251  
6252 < ok=no
6252 > ac_cv_lib_fftw3_fftw_execute=no
6253   fi
6254 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6254 > rm -f conftest.err conftest.$ac_objext \
6255 >      conftest$ac_exeext conftest.$ac_ext
6256 > LIBS=$ac_check_lib_save_LIBS
6257   fi
6258 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6259 + echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6260 + if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6261 +  fftw_cv_libfftw3=yes
6262 + else
6263 +  fftw_cv_libfftw3=no
6264 + fi
6265  
6266 < if test "$ok" != "yes"; then
6266 >        if test "${ac_cv_header_fftw3_h+set}" = set; then
6267    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6268   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6269 <  cat >conftest.$ac_ext <<_ACEOF
6269 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6270 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6271 > fi
6272 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6273 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6274 > else
6275 >  # Is the header compilable?
6276 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6277 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6278 > cat >conftest.$ac_ext <<_ACEOF
6279   /* confdefs.h.  */
6280   _ACEOF
6281   cat confdefs.h >>conftest.$ac_ext
6282   cat >>conftest.$ac_ext <<_ACEOF
6283   /* end confdefs.h.  */
6284 + $ac_includes_default
6285   #include <fftw3.h>
6313 #ifdef FC_DUMMY_MAIN
6314 #ifndef FC_DUMMY_MAIN_EQ_F77
6315 #  ifdef __cplusplus
6316     extern "C"
6317 #  endif
6318   int FC_DUMMY_MAIN() { return 1; }
6319 #endif
6320 #endif
6321 int
6322 main ()
6323 {
6324
6325  ;
6326  return 0;
6327 }
6286   _ACEOF
6287   rm -f conftest.$ac_objext
6288   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6348 | Line 6306 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6306    ac_status=$?
6307    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6308    (exit $ac_status); }; }; then
6309 <  echo "$as_me:$LINENO: result: yes" >&5
6352 < echo "${ECHO_T}yes" >&6
6309 >  ac_header_compiler=yes
6310   else
6311    echo "$as_me: failed program was:" >&5
6312   sed 's/^/| /' conftest.$ac_ext >&5
6313  
6314 <
6358 < echo "$as_me:$LINENO: result: no" >&5
6359 < echo "${ECHO_T}no" >&6
6360 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6361 < Do you have $prec precision FFTW installed? If you are using packages,
6362 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6363 < software at www.fftw.org.
6364 < If you compiled FFTW yourself:
6365 < Note that the default FFTW setup is double precision.  If you want MPI support,
6366 < use --with-mpi. It is a good idea to install both single & double.
6367 < If you have installed FFTW in a non-standard location, you should
6368 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6369 < variables before running configure.
6370 < That is also necessary to do if your compiler doesn't search
6371 < /usr/local/include and /usr/local/lib by default." >&5
6372 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6373 < Do you have $prec precision FFTW installed? If you are using packages,
6374 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6375 < software at www.fftw.org.
6376 < If you compiled FFTW yourself:
6377 < Note that the default FFTW setup is double precision.  If you want MPI support,
6378 < use --with-mpi. It is a good idea to install both single & double.
6379 < If you have installed FFTW in a non-standard location, you should
6380 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6381 < variables before running configure.
6382 < That is also necessary to do if your compiler doesn't search
6383 < /usr/local/include and /usr/local/lib by default." >&2;}
6384 <   { (exit 1); exit 1; }; }
6385 <
6314 > ac_header_compiler=no
6315   fi
6316   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6317 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6318 + echo "${ECHO_T}$ac_header_compiler" >&6
6319 +
6320 + # Is the header present?
6321 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6322 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6323   cat >conftest.$ac_ext <<_ACEOF
6324   /* confdefs.h.  */
6325   _ACEOF
# Line 6392 | Line 6327 | cat >>conftest.$ac_ext <<_ACEOF
6327   cat >>conftest.$ac_ext <<_ACEOF
6328   /* end confdefs.h.  */
6329   #include <fftw3.h>
6395 #ifdef FC_DUMMY_MAIN
6396 #ifndef FC_DUMMY_MAIN_EQ_F77
6397 #  ifdef __cplusplus
6398     extern "C"
6399 #  endif
6400   int FC_DUMMY_MAIN() { return 1; }
6401 #endif
6402 #endif
6403 int
6404 main ()
6405 {
6406 int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6407  ;
6408  return 0;
6409 }
6330   _ACEOF
6331 < rm -f conftest.$ac_objext
6332 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6413 <  (eval $ac_compile) 2>conftest.er1
6331 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6332 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6333    ac_status=$?
6334    grep -v '^ *+' conftest.er1 >conftest.err
6335    rm -f conftest.er1
6336    cat conftest.err >&5
6337    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6338 <  (exit $ac_status); } &&
6339 <         { ac_try='test -z "$ac_c_werror_flag"
6340 <                         || test ! -s conftest.err'
6341 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6342 <  (eval $ac_try) 2>&5
6343 <  ac_status=$?
6344 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6426 <  (exit $ac_status); }; } &&
6427 <         { ac_try='test -s conftest.$ac_objext'
6428 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6429 <  (eval $ac_try) 2>&5
6430 <  ac_status=$?
6431 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432 <  (exit $ac_status); }; }; then
6433 <
6434 < usedprefix=""
6435 < fftwname=fftw3
6436 <
6338 >  (exit $ac_status); } >/dev/null; then
6339 >  if test -s conftest.err; then
6340 >    ac_cpp_err=$ac_c_preproc_warn_flag
6341 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6342 >  else
6343 >    ac_cpp_err=
6344 >  fi
6345   else
6346 +  ac_cpp_err=yes
6347 + fi
6348 + if test -z "$ac_cpp_err"; then
6349 +  ac_header_preproc=yes
6350 + else
6351    echo "$as_me: failed program was:" >&5
6352   sed 's/^/| /' conftest.$ac_ext >&5
6353  
6354 <
6442 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6443 < Do you have $prec precision FFTW installed? If you are using packages,
6444 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6445 < software at www.fftw.org.
6446 < If you compiled FFTW yourself:
6447 < Note that the default FFTW setup is double precision.  If you want MPI support,
6448 < use --with-mpi. It is a good idea to install both single & double.
6449 < If you have installed FFTW in a non-standard location, you should
6450 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6451 < variables before running configure.
6452 < That is also necessary to do if your compiler doesn't search
6453 < /usr/local/include and /usr/local/lib by default." >&5
6454 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6455 < Do you have $prec precision FFTW installed? If you are using packages,
6456 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6457 < software at www.fftw.org.
6458 < If you compiled FFTW yourself:
6459 < Note that the default FFTW setup is double precision.  If you want MPI support,
6460 < use --with-mpi. It is a good idea to install both single & double.
6461 < If you have installed FFTW in a non-standard location, you should
6462 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6463 < variables before running configure.
6464 < That is also necessary to do if your compiler doesn't search
6465 < /usr/local/include and /usr/local/lib by default." >&2;}
6466 <   { (exit 1); exit 1; }; }
6354 >  ac_header_preproc=no
6355   fi
6356 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6357 < fi
6356 > rm -f conftest.err conftest.$ac_ext
6357 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6358 > echo "${ECHO_T}$ac_header_preproc" >&6
6359  
6360 <
6361 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6362 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6363 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6364 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6360 > # So?  What about this header?
6361 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6362 >  yes:no: )
6363 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6364 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6365 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6366 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6367 >    ac_header_preproc=yes
6368 >    ;;
6369 >  no:yes:* )
6370 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6371 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6372 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6373 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6374 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6375 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6376 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6377 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6378 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6379 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6380 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6381 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6382 >    (
6383 >      cat <<\_ASBOX
6384 > ## ------------------------------ ##
6385 > ## Report this to gezelter@nd.edu ##
6386 > ## ------------------------------ ##
6387 > _ASBOX
6388 >    ) |
6389 >      sed "s/^/$as_me: WARNING:     /" >&2
6390 >    ;;
6391 > esac
6392 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6393 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6394 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6395    echo $ECHO_N "(cached) $ECHO_C" >&6
6396   else
6397 <  ac_check_lib_save_LIBS=$LIBS
6479 < LIBS="-l$fftwname  $LIBS"
6480 < cat >conftest.$ac_ext <<_ACEOF
6481 < /* confdefs.h.  */
6482 < _ACEOF
6483 < cat confdefs.h >>conftest.$ac_ext
6484 < cat >>conftest.$ac_ext <<_ACEOF
6485 < /* end confdefs.h.  */
6486 <
6487 <
6488 < #ifdef FC_DUMMY_MAIN
6489 < #ifndef FC_DUMMY_MAIN_EQ_F77
6490 < #  ifdef __cplusplus
6491 <     extern "C"
6492 < #  endif
6493 <   int FC_DUMMY_MAIN() { return 1; }
6494 < #endif
6495 < #endif
6496 < int
6497 < main ()
6498 < {
6499 < main ();
6500 <  ;
6501 <  return 0;
6502 < }
6503 < _ACEOF
6504 < rm -f conftest.$ac_objext conftest$ac_exeext
6505 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6506 <  (eval $ac_link) 2>conftest.er1
6507 <  ac_status=$?
6508 <  grep -v '^ *+' conftest.er1 >conftest.err
6509 <  rm -f conftest.er1
6510 <  cat conftest.err >&5
6511 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6512 <  (exit $ac_status); } &&
6513 <         { ac_try='test -z "$ac_c_werror_flag"
6514 <                         || test ! -s conftest.err'
6515 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6516 <  (eval $ac_try) 2>&5
6517 <  ac_status=$?
6518 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 <  (exit $ac_status); }; } &&
6520 <         { ac_try='test -s conftest$ac_exeext'
6521 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6522 <  (eval $ac_try) 2>&5
6523 <  ac_status=$?
6524 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525 <  (exit $ac_status); }; }; then
6526 <  eval "$as_ac_Lib=yes"
6527 < else
6528 <  echo "$as_me: failed program was:" >&5
6529 < sed 's/^/| /' conftest.$ac_ext >&5
6530 <
6531 < eval "$as_ac_Lib=no"
6397 >  ac_cv_header_fftw3_h=$ac_header_preproc
6398   fi
6399 < rm -f conftest.err conftest.$ac_objext \
6400 <      conftest$ac_exeext conftest.$ac_ext
6535 < LIBS=$ac_check_lib_save_LIBS
6536 < fi
6537 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6538 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6539 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6540 <  cat >>confdefs.h <<_ACEOF
6541 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
6542 < _ACEOF
6399 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6400 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6401  
6402 <  LIBS="-l$fftwname $LIBS"
6403 <
6402 > fi
6403 > if test $ac_cv_header_fftw3_h = yes; then
6404 >  fftw_cv_fftw3_h=yes
6405   else
6406 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
6548 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
6549 <   { (exit 1); exit 1; }; }
6406 >  fftw_cv_fftw3_h=no
6407   fi
6408  
6552 ac_fftw_savedprefix=$usedprefix
6553 ac_fftw_firstname=$fftwname
6409  
6410 +        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6411 +        then
6412 +                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6413 + echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6414 + if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6415 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6416   else
6417 <
6418 < fftwname=${ac_fftw_savedprefix}fftw3
6558 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
6559 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6560 < cat >conftest.$ac_ext <<_ACEOF
6561 < /* confdefs.h.  */
6562 < _ACEOF
6563 < cat confdefs.h >>conftest.$ac_ext
6564 < cat >>conftest.$ac_ext <<_ACEOF
6565 < /* end confdefs.h.  */
6566 < #include <$fftwname.h>
6567 < #ifdef FC_DUMMY_MAIN
6568 < #ifndef FC_DUMMY_MAIN_EQ_F77
6569 < #  ifdef __cplusplus
6570 <     extern "C"
6571 < #  endif
6572 <   int FC_DUMMY_MAIN() { return 1; }
6573 < #endif
6574 < #endif
6575 < int
6576 < main ()
6577 < {
6578 <
6579 <  ;
6580 <  return 0;
6581 < }
6582 < _ACEOF
6583 < rm -f conftest.$ac_objext
6584 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6585 <  (eval $ac_compile) 2>conftest.er1
6586 <  ac_status=$?
6587 <  grep -v '^ *+' conftest.er1 >conftest.err
6588 <  rm -f conftest.er1
6589 <  cat conftest.err >&5
6590 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6591 <  (exit $ac_status); } &&
6592 <         { ac_try='test -z "$ac_c_werror_flag"
6593 <                         || test ! -s conftest.err'
6594 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6595 <  (eval $ac_try) 2>&5
6596 <  ac_status=$?
6597 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6598 <  (exit $ac_status); }; } &&
6599 <         { ac_try='test -s conftest.$ac_objext'
6600 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6601 <  (eval $ac_try) 2>&5
6602 <  ac_status=$?
6603 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6604 <  (exit $ac_status); }; }; then
6605 <  echo "$as_me:$LINENO: result: yes" >&5
6606 < echo "${ECHO_T}yes" >&6
6607 < LIBS="-l$fftwname $LIBS"
6417 >  ac_check_lib_save_LIBS=$LIBS
6418 > LIBS="-lfftw  $LIBS"
6419   cat >conftest.$ac_ext <<_ACEOF
6420   /* confdefs.h.  */
6421   _ACEOF
# Line 6612 | Line 6423 | cat >>conftest.$ac_ext <<_ACEOF
6423   cat >>conftest.$ac_ext <<_ACEOF
6424   /* end confdefs.h.  */
6425  
6426 <
6426 > /* Override any gcc2 internal prototype to avoid an error.  */
6427 > #ifdef __cplusplus
6428 > extern "C"
6429 > #endif
6430 > /* We use char because int might match the return type of a gcc2
6431 >   builtin and then its argument prototype would still apply.  */
6432 > char fftwnd_one ();
6433   #ifdef FC_DUMMY_MAIN
6434   #ifndef FC_DUMMY_MAIN_EQ_F77
6435   #  ifdef __cplusplus
# Line 6624 | Line 6441 | main ()
6441   int
6442   main ()
6443   {
6444 < main ();
6444 > fftwnd_one ();
6445    ;
6446    return 0;
6447   }
# Line 6651 | Line 6468 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6468    ac_status=$?
6469    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6470    (exit $ac_status); }; }; then
6471 <  :
6471 >  ac_cv_lib_fftw_fftwnd_one=yes
6472   else
6473    echo "$as_me: failed program was:" >&5
6474   sed 's/^/| /' conftest.$ac_ext >&5
6475  
6476 + ac_cv_lib_fftw_fftwnd_one=no
6477   fi
6478   rm -f conftest.err conftest.$ac_objext \
6479        conftest$ac_exeext conftest.$ac_ext
6480 + LIBS=$ac_check_lib_save_LIBS
6481 + fi
6482 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6483 + echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6484 + if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6485 +  fftw_cv_libfftw=yes
6486   else
6487 <  echo "$as_me: failed program was:" >&5
6664 < sed 's/^/| /' conftest.$ac_ext >&5
6665 <
6666 <
6667 < echo "$as_me:$LINENO: result: no" >&5
6668 < echo "${ECHO_T}no" >&6
6669 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6670 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6671 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6672 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6673 <   { (exit 1); exit 1; }; }
6674 <
6487 >  fftw_cv_libfftw=no
6488   fi
6676 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6489  
6490 +                if test "${ac_cv_header_fftw_h+set}" = set; then
6491 +  echo "$as_me:$LINENO: checking for fftw.h" >&5
6492 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6493 + if test "${ac_cv_header_fftw_h+set}" = set; then
6494 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6495   fi
6496 <
6497 <
6681 <
6682 <  if test "$with_mpi" = "yes"; then
6683 <
6684 < if test -z "$ac_fftw_firstname"; then
6685 <
6686 < sizeof_real=$sizeof_real
6687 < if test $sizeof_real = 8; then
6688 <  prec="double"
6689 <  fftwcheckprefix=d
6496 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6497 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6498   else
6499 <  prec="single"
6500 <  fftwcheckprefix=s
6501 < fi
6694 <
6695 < xfftwname=${fftwcheckprefix}fftw3_mpi
6696 <
6697 < ok="no"
6698 < # check header doesn't work, since we must use mpicc to get includes,
6699 < # we cant trust cpp.
6700 < echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6701 < echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6499 >  # Is the header compilable?
6500 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6501 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6502   cat >conftest.$ac_ext <<_ACEOF
6503   /* confdefs.h.  */
6504   _ACEOF
6505   cat confdefs.h >>conftest.$ac_ext
6506   cat >>conftest.$ac_ext <<_ACEOF
6507   /* end confdefs.h.  */
6508 < #include <$xfftwname.h>
6509 < #ifdef FC_DUMMY_MAIN
6710 < #ifndef FC_DUMMY_MAIN_EQ_F77
6711 < #  ifdef __cplusplus
6712 <     extern "C"
6713 < #  endif
6714 <   int FC_DUMMY_MAIN() { return 1; }
6715 < #endif
6716 < #endif
6717 < int
6718 < main ()
6719 < {
6720 <
6721 <  ;
6722 <  return 0;
6723 < }
6508 > $ac_includes_default
6509 > #include <fftw.h>
6510   _ACEOF
6511   rm -f conftest.$ac_objext
6512   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6744 | Line 6530 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6530    ac_status=$?
6531    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6532    (exit $ac_status); }; }; then
6533 <
6748 < fftwname=$xfftwname
6749 < echo "$as_me:$LINENO: result: yes" >&5
6750 < echo "${ECHO_T}yes" >&6
6751 <
6533 >  ac_header_compiler=yes
6534   else
6535    echo "$as_me: failed program was:" >&5
6536   sed 's/^/| /' conftest.$ac_ext >&5
6537  
6538 < echo "$as_me:$LINENO: result: no" >&5
6757 < echo "${ECHO_T}no" >&6
6538 > ac_header_compiler=no
6539   fi
6540   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6541 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6542 + echo "${ECHO_T}$ac_header_compiler" >&6
6543  
6544 < # fftwname was set if we found a header
6545 <
6546 < if test -n "$fftwname"; then
6764 < # we cannot run the code since an MPI program might not be allowed
6765 < # on a login node of a supercomputer
6544 > # Is the header present?
6545 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6546 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6547   cat >conftest.$ac_ext <<_ACEOF
6548   /* confdefs.h.  */
6549   _ACEOF
6550   cat confdefs.h >>conftest.$ac_ext
6551   cat >>conftest.$ac_ext <<_ACEOF
6552   /* end confdefs.h.  */
6553 < #include <$fftwname.h>
6773 < #ifdef FC_DUMMY_MAIN
6774 < #ifndef FC_DUMMY_MAIN_EQ_F77
6775 < #  ifdef __cplusplus
6776 <     extern "C"
6777 < #  endif
6778 <   int FC_DUMMY_MAIN() { return 1; }
6779 < #endif
6780 < #endif
6781 < int
6782 < main ()
6783 < {
6784 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6785 <  ;
6786 <  return 0;
6787 < }
6553 > #include <fftw.h>
6554   _ACEOF
6555 < rm -f conftest.$ac_objext
6556 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6791 <  (eval $ac_compile) 2>conftest.er1
6555 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6556 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6557    ac_status=$?
6558    grep -v '^ *+' conftest.er1 >conftest.err
6559    rm -f conftest.er1
6560    cat conftest.err >&5
6561    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6562 <  (exit $ac_status); } &&
6563 <         { ac_try='test -z "$ac_c_werror_flag"
6564 <                         || test ! -s conftest.err'
6565 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6566 <  (eval $ac_try) 2>&5
6567 <  ac_status=$?
6568 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6569 <  (exit $ac_status); }; } &&
6570 <         { ac_try='test -s conftest.$ac_objext'
6806 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6807 <  (eval $ac_try) 2>&5
6808 <  ac_status=$?
6809 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 <  (exit $ac_status); }; }; then
6811 <
6812 < ok=yes
6813 < usedprefix=$fftwcheckprefix
6814 <
6815 < else
6816 <  echo "$as_me: failed program was:" >&5
6817 < sed 's/^/| /' conftest.$ac_ext >&5
6818 <
6819 < ok=no
6820 < fi
6821 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6562 >  (exit $ac_status); } >/dev/null; then
6563 >  if test -s conftest.err; then
6564 >    ac_cpp_err=$ac_c_preproc_warn_flag
6565 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6566 >  else
6567 >    ac_cpp_err=
6568 >  fi
6569 > else
6570 >  ac_cpp_err=yes
6571   fi
6572 <
6573 < if test "$ok" != "yes"; then
6825 <  echo "$as_me:$LINENO: checking for fftw3_mpi.h" >&5
6826 < echo $ECHO_N "checking for fftw3_mpi.h... $ECHO_C" >&6
6827 <  cat >conftest.$ac_ext <<_ACEOF
6828 < /* confdefs.h.  */
6829 < _ACEOF
6830 < cat confdefs.h >>conftest.$ac_ext
6831 < cat >>conftest.$ac_ext <<_ACEOF
6832 < /* end confdefs.h.  */
6833 < #include <fftw3_mpi.h>
6834 < #ifdef FC_DUMMY_MAIN
6835 < #ifndef FC_DUMMY_MAIN_EQ_F77
6836 < #  ifdef __cplusplus
6837 <     extern "C"
6838 < #  endif
6839 <   int FC_DUMMY_MAIN() { return 1; }
6840 < #endif
6841 < #endif
6842 < int
6843 < main ()
6844 < {
6845 <
6846 <  ;
6847 <  return 0;
6848 < }
6849 < _ACEOF
6850 < rm -f conftest.$ac_objext
6851 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6852 <  (eval $ac_compile) 2>conftest.er1
6853 <  ac_status=$?
6854 <  grep -v '^ *+' conftest.er1 >conftest.err
6855 <  rm -f conftest.er1
6856 <  cat conftest.err >&5
6857 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6858 <  (exit $ac_status); } &&
6859 <         { ac_try='test -z "$ac_c_werror_flag"
6860 <                         || test ! -s conftest.err'
6861 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6862 <  (eval $ac_try) 2>&5
6863 <  ac_status=$?
6864 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6865 <  (exit $ac_status); }; } &&
6866 <         { ac_try='test -s conftest.$ac_objext'
6867 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6868 <  (eval $ac_try) 2>&5
6869 <  ac_status=$?
6870 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6871 <  (exit $ac_status); }; }; then
6872 <  echo "$as_me:$LINENO: result: yes" >&5
6873 < echo "${ECHO_T}yes" >&6
6572 > if test -z "$ac_cpp_err"; then
6573 >  ac_header_preproc=yes
6574   else
6575    echo "$as_me: failed program was:" >&5
6576   sed 's/^/| /' conftest.$ac_ext >&5
6577  
6578 <
6879 < echo "$as_me:$LINENO: result: no" >&5
6880 < echo "${ECHO_T}no" >&6
6881 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6882 < Do you have $prec precision FFTW installed? If you are using packages,
6883 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6884 < software at www.fftw.org.
6885 < If you compiled FFTW yourself:
6886 < Note that the default FFTW setup is double precision.  If you want MPI support,
6887 < use --with-mpi. It is a good idea to install both single & double.
6888 < If you have installed FFTW in a non-standard location, you should
6889 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6890 < variables before running configure.
6891 < That is also necessary to do if your compiler doesn't search
6892 < /usr/local/include and /usr/local/lib by default." >&5
6893 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6894 < Do you have $prec precision FFTW installed? If you are using packages,
6895 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6896 < software at www.fftw.org.
6897 < If you compiled FFTW yourself:
6898 < Note that the default FFTW setup is double precision.  If you want MPI support,
6899 < use --with-mpi. It is a good idea to install both single & double.
6900 < If you have installed FFTW in a non-standard location, you should
6901 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6902 < variables before running configure.
6903 < That is also necessary to do if your compiler doesn't search
6904 < /usr/local/include and /usr/local/lib by default." >&2;}
6905 <   { (exit 1); exit 1; }; }
6906 <
6578 >  ac_header_preproc=no
6579   fi
6580 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6581 < cat >conftest.$ac_ext <<_ACEOF
6582 < /* confdefs.h.  */
6911 < _ACEOF
6912 < cat confdefs.h >>conftest.$ac_ext
6913 < cat >>conftest.$ac_ext <<_ACEOF
6914 < /* end confdefs.h.  */
6915 < #include <fftw3_mpi.h>
6916 < #ifdef FC_DUMMY_MAIN
6917 < #ifndef FC_DUMMY_MAIN_EQ_F77
6918 < #  ifdef __cplusplus
6919 <     extern "C"
6920 < #  endif
6921 <   int FC_DUMMY_MAIN() { return 1; }
6922 < #endif
6923 < #endif
6924 < int
6925 < main ()
6926 < {
6927 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6928 <  ;
6929 <  return 0;
6930 < }
6931 < _ACEOF
6932 < rm -f conftest.$ac_objext
6933 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6934 <  (eval $ac_compile) 2>conftest.er1
6935 <  ac_status=$?
6936 <  grep -v '^ *+' conftest.er1 >conftest.err
6937 <  rm -f conftest.er1
6938 <  cat conftest.err >&5
6939 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6940 <  (exit $ac_status); } &&
6941 <         { ac_try='test -z "$ac_c_werror_flag"
6942 <                         || test ! -s conftest.err'
6943 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6944 <  (eval $ac_try) 2>&5
6945 <  ac_status=$?
6946 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6947 <  (exit $ac_status); }; } &&
6948 <         { ac_try='test -s conftest.$ac_objext'
6949 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6950 <  (eval $ac_try) 2>&5
6951 <  ac_status=$?
6952 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6953 <  (exit $ac_status); }; }; then
6580 > rm -f conftest.err conftest.$ac_ext
6581 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6582 > echo "${ECHO_T}$ac_header_preproc" >&6
6583  
6584 < usedprefix=""
6585 < fftwname=fftw3_mpi
6584 > # So?  What about this header?
6585 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6586 >  yes:no: )
6587 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6588 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6589 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6590 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6591 >    ac_header_preproc=yes
6592 >    ;;
6593 >  no:yes:* )
6594 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6595 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6596 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6597 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6598 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6599 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6600 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6601 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6602 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6603 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6604 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6605 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6606 >    (
6607 >      cat <<\_ASBOX
6608 > ## ------------------------------ ##
6609 > ## Report this to gezelter@nd.edu ##
6610 > ## ------------------------------ ##
6611 > _ASBOX
6612 >    ) |
6613 >      sed "s/^/$as_me: WARNING:     /" >&2
6614 >    ;;
6615 > esac
6616 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6617 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6618 > if test "${ac_cv_header_fftw_h+set}" = set; then
6619 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6620 > else
6621 >  ac_cv_header_fftw_h=$ac_header_preproc
6622 > fi
6623 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6624 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6625  
6626 + fi
6627 + if test $ac_cv_header_fftw_h = yes; then
6628 +  fftw_cv_fftw_h=yes
6629   else
6630 <  echo "$as_me: failed program was:" >&5
6960 < sed 's/^/| /' conftest.$ac_ext >&5
6961 <
6962 <
6963 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6964 < Do you have $prec precision FFTW installed? If you are using packages,
6965 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6966 < software at www.fftw.org.
6967 < If you compiled FFTW yourself:
6968 < Note that the default FFTW setup is double precision.  If you want MPI support,
6969 < use --with-mpi. It is a good idea to install both single & double.
6970 < If you have installed FFTW in a non-standard location, you should
6971 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6972 < variables before running configure.
6973 < That is also necessary to do if your compiler doesn't search
6974 < /usr/local/include and /usr/local/lib by default." >&5
6975 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6976 < Do you have $prec precision FFTW installed? If you are using packages,
6977 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6978 < software at www.fftw.org.
6979 < If you compiled FFTW yourself:
6980 < Note that the default FFTW setup is double precision.  If you want MPI support,
6981 < use --with-mpi. It is a good idea to install both single & double.
6982 < If you have installed FFTW in a non-standard location, you should
6983 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6984 < variables before running configure.
6985 < That is also necessary to do if your compiler doesn't search
6986 < /usr/local/include and /usr/local/lib by default." >&2;}
6987 <   { (exit 1); exit 1; }; }
6630 >  fftw_cv_fftw_h=no
6631   fi
6989 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6990 fi
6632  
6633  
6634 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6635 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6636 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6637 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6634 >                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6635 >                then
6636 >                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6637 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6638 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6639    echo $ECHO_N "(cached) $ECHO_C" >&6
6640   else
6641    ac_check_lib_save_LIBS=$LIBS
6642 < LIBS="-l$fftwname  $LIBS"
6642 > LIBS="-ldfftw  $LIBS"
6643   cat >conftest.$ac_ext <<_ACEOF
6644   /* confdefs.h.  */
6645   _ACEOF
# Line 7005 | Line 6647 | cat >>conftest.$ac_ext <<_ACEOF
6647   cat >>conftest.$ac_ext <<_ACEOF
6648   /* end confdefs.h.  */
6649  
6650 <
6650 > /* Override any gcc2 internal prototype to avoid an error.  */
6651 > #ifdef __cplusplus
6652 > extern "C"
6653 > #endif
6654 > /* We use char because int might match the return type of a gcc2
6655 >   builtin and then its argument prototype would still apply.  */
6656 > char fftwnd_one ();
6657   #ifdef FC_DUMMY_MAIN
6658   #ifndef FC_DUMMY_MAIN_EQ_F77
6659   #  ifdef __cplusplus
# Line 7017 | Line 6665 | main ()
6665   int
6666   main ()
6667   {
6668 < main ();
6668 > fftwnd_one ();
6669    ;
6670    return 0;
6671   }
# Line 7044 | Line 6692 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6692    ac_status=$?
6693    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6694    (exit $ac_status); }; }; then
6695 <  eval "$as_ac_Lib=yes"
6695 >  ac_cv_lib_dfftw_fftwnd_one=yes
6696   else
6697    echo "$as_me: failed program was:" >&5
6698   sed 's/^/| /' conftest.$ac_ext >&5
6699  
6700 < eval "$as_ac_Lib=no"
6700 > ac_cv_lib_dfftw_fftwnd_one=no
6701   fi
6702   rm -f conftest.err conftest.$ac_objext \
6703        conftest$ac_exeext conftest.$ac_ext
6704   LIBS=$ac_check_lib_save_LIBS
6705   fi
6706 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6707 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6708 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6709 <  cat >>confdefs.h <<_ACEOF
7062 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
7063 < _ACEOF
7064 <
7065 <  LIBS="-l$fftwname $LIBS"
7066 <
6706 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6707 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6708 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6709 >  fftw_cv_libdfftw=yes
6710   else
6711 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
7069 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
7070 <   { (exit 1); exit 1; }; }
6711 >  fftw_cv_libdfftw=no
6712   fi
6713  
6714 < ac_fftw_savedprefix=$usedprefix
6715 < ac_fftw_firstname=$fftwname
6716 <
6714 >                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6715 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6716 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6717 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6718 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6719 > fi
6720 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6721 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6722   else
6723 <
6724 < fftwname=${ac_fftw_savedprefix}fftw3_mpi
6725 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
7080 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6723 >  # Is the header compilable?
6724 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6725 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6726   cat >conftest.$ac_ext <<_ACEOF
6727   /* confdefs.h.  */
6728   _ACEOF
6729   cat confdefs.h >>conftest.$ac_ext
6730   cat >>conftest.$ac_ext <<_ACEOF
6731   /* end confdefs.h.  */
6732 < #include <$fftwname.h>
6733 < #ifdef FC_DUMMY_MAIN
7089 < #ifndef FC_DUMMY_MAIN_EQ_F77
7090 < #  ifdef __cplusplus
7091 <     extern "C"
7092 < #  endif
7093 <   int FC_DUMMY_MAIN() { return 1; }
7094 < #endif
7095 < #endif
7096 < int
7097 < main ()
7098 < {
7099 <
7100 <  ;
7101 <  return 0;
7102 < }
6732 > $ac_includes_default
6733 > #include <dfftw.h>
6734   _ACEOF
6735   rm -f conftest.$ac_objext
6736   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7123 | Line 6754 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6754    ac_status=$?
6755    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6756    (exit $ac_status); }; }; then
6757 <  echo "$as_me:$LINENO: result: yes" >&5
6758 < echo "${ECHO_T}yes" >&6
6759 < LIBS="-l$fftwname $LIBS"
6757 >  ac_header_compiler=yes
6758 > else
6759 >  echo "$as_me: failed program was:" >&5
6760 > sed 's/^/| /' conftest.$ac_ext >&5
6761 >
6762 > ac_header_compiler=no
6763 > fi
6764 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6765 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6766 > echo "${ECHO_T}$ac_header_compiler" >&6
6767 >
6768 > # Is the header present?
6769 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6770 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6771   cat >conftest.$ac_ext <<_ACEOF
6772   /* confdefs.h.  */
6773   _ACEOF
6774   cat confdefs.h >>conftest.$ac_ext
6775   cat >>conftest.$ac_ext <<_ACEOF
6776   /* end confdefs.h.  */
6777 <
7136 <
7137 < #ifdef FC_DUMMY_MAIN
7138 < #ifndef FC_DUMMY_MAIN_EQ_F77
7139 < #  ifdef __cplusplus
7140 <     extern "C"
7141 < #  endif
7142 <   int FC_DUMMY_MAIN() { return 1; }
7143 < #endif
7144 < #endif
7145 < int
7146 < main ()
7147 < {
7148 < main ();
7149 <  ;
7150 <  return 0;
7151 < }
6777 > #include <dfftw.h>
6778   _ACEOF
6779 < rm -f conftest.$ac_objext conftest$ac_exeext
6780 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7155 <  (eval $ac_link) 2>conftest.er1
6779 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6780 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6781    ac_status=$?
6782    grep -v '^ *+' conftest.er1 >conftest.err
6783    rm -f conftest.er1
6784    cat conftest.err >&5
6785    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6786 <  (exit $ac_status); } &&
6787 <         { ac_try='test -z "$ac_c_werror_flag"
6788 <                         || test ! -s conftest.err'
6789 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6790 <  (eval $ac_try) 2>&5
6791 <  ac_status=$?
6792 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7168 <  (exit $ac_status); }; } &&
7169 <         { ac_try='test -s conftest$ac_exeext'
7170 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7171 <  (eval $ac_try) 2>&5
7172 <  ac_status=$?
7173 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7174 <  (exit $ac_status); }; }; then
7175 <  :
6786 >  (exit $ac_status); } >/dev/null; then
6787 >  if test -s conftest.err; then
6788 >    ac_cpp_err=$ac_c_preproc_warn_flag
6789 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6790 >  else
6791 >    ac_cpp_err=
6792 >  fi
6793   else
6794 <  echo "$as_me: failed program was:" >&5
7178 < sed 's/^/| /' conftest.$ac_ext >&5
7179 <
6794 >  ac_cpp_err=yes
6795   fi
6796 < rm -f conftest.err conftest.$ac_objext \
6797 <      conftest$ac_exeext conftest.$ac_ext
6796 > if test -z "$ac_cpp_err"; then
6797 >  ac_header_preproc=yes
6798   else
6799    echo "$as_me: failed program was:" >&5
6800   sed 's/^/| /' conftest.$ac_ext >&5
6801  
6802 +  ac_header_preproc=no
6803 + fi
6804 + rm -f conftest.err conftest.$ac_ext
6805 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6806 + echo "${ECHO_T}$ac_header_preproc" >&6
6807  
6808 < echo "$as_me:$LINENO: result: no" >&5
6809 < echo "${ECHO_T}no" >&6
6810 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6811 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6812 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6813 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6814 <   { (exit 1); exit 1; }; }
6815 <
6808 > # So?  What about this header?
6809 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6810 >  yes:no: )
6811 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6812 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6813 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6814 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6815 >    ac_header_preproc=yes
6816 >    ;;
6817 >  no:yes:* )
6818 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6819 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6820 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6821 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6822 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6823 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6824 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6825 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6826 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6827 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6828 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6829 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6830 >    (
6831 >      cat <<\_ASBOX
6832 > ## ------------------------------ ##
6833 > ## Report this to gezelter@nd.edu ##
6834 > ## ------------------------------ ##
6835 > _ASBOX
6836 >    ) |
6837 >      sed "s/^/$as_me: WARNING:     /" >&2
6838 >    ;;
6839 > esac
6840 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6841 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6842 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6843 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6844 > else
6845 >  ac_cv_header_dfftw_h=$ac_header_preproc
6846   fi
6847 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6847 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6848 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6849  
6850   fi
6851 + if test $ac_cv_header_dfftw_h = yes; then
6852 +  fftw_cv_dfftw_h=yes
6853 + else
6854 +  fftw_cv_dfftw_h=no
6855 + fi
6856  
6857  
6858 <  fi
6858 >                fi
6859 >        fi
6860 >        ac_ext=c
6861 > ac_cpp='$CPP $CPPFLAGS'
6862 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6863 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6864 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6865  
6866 <  case ${ac_fftw_savedprefix} in
6867 <   d)
6868 < cat >>confdefs.h <<\_ACEOF
6869 < #define FFTW_NAME_DFFTW
6866 >
6867 >        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6868 >        then
6869 >
6870 > cat >>confdefs.h <<\_ACEOF
6871 > #define HAVE_FFTW3_H 1
6872   _ACEOF
6873 < ;;
6874 <   *)
6873 >
6874 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6875 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6876 >                FFTW_LIBS="-lfftw3"
6877 >        else
6878 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6879 >        then
6880 >
6881   cat >>confdefs.h <<\_ACEOF
6882 < #define FFTW_NAME_FFTW
6882 > #define HAVE_FFTW_H 1
6883   _ACEOF
6884 < ;;
6885 <  esac
6886 < else
6887 <  echo "*******************************************************************"
6888 <  echo "* FFTW libraries and include files are required for computing     *"
6889 <  echo "* undulation spectra with the staticProps program.  If you don't  *"
6890 <  echo "* fftw turned on, OOPSE will still work, but you won't be able to *"
6891 <  echo "* analyze your trajectories for this property.                    *"
6892 <  echo "*******************************************************************"
6893 < fi # end of fftw check
6884 >
6885 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6886 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6887 >                FFTW_LIBS="-lfftw"
6888 >        else
6889 >        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6890 >        then
6891 >
6892 > cat >>confdefs.h <<\_ACEOF
6893 > #define HAVE_DFFTW_H 1
6894 > _ACEOF
6895 >
6896 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6897 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6898 >                FFTW_LIBS="-ldfftw"
6899 >        else
6900 >                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6901 > echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6902 >                FFTW_INC_DIR=
6903 >                FFTW_LIB_DIR=
6904 >                FFTW_LIBS=
6905 >                LDFLAGS="$FFTW_OLD_LDFLAGS"
6906 >                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6907 >                echo "$as_me:$LINENO: result: failed" >&5
6908 > echo "${ECHO_T}failed" >&6
6909 >        echo ""
6910 >        echo "*********************************************************"
6911 >        echo "* WARNING: Could not find a working FFTW installation   *"
6912 >        echo "* If you need the staticProps program to be able to     *"
6913 >        echo "* compute undulation spectra, be sure to specify a      *"
6914 >        echo "* valid fftw installation with --with-fftw=DIR          *"
6915 >        echo "*                                                       *"
6916 >        echo "* OOPSE will still work without fftw installed.         *"
6917 >        echo "*********************************************************"
6918 >        echo ""
6919 >        fi
6920 >        fi
6921 >        fi
6922  
6923 +
6924 +
6925 + fi
6926 + fi
6927 +
6928 +
6929 +
6930   # Checks for header files.
6931   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6932   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 13783 | Line 13488 | fi
13488  
13489  
13490  
13786
13491   USE_CGAL=no
13492   cgal_makefile=auto
13493  
# Line 14232 | Line 13936 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13936   CGAL_LIB_DIR=${CGAL_LIBDIR}
13937  
13938   CGAL_RLIB_DIR=${CGAL_RLIBDIR}
14235
13939  
13940  
13941  
# Line 15024 | Line 14727 | s,@debug@,$debug,;t t
14727   s,@host_os@,$host_os,;t t
14728   s,@PROGNAME@,$PROGNAME,;t t
14729   s,@debug@,$debug,;t t
14730 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14731   s,@CXX@,$CXX,;t t
14732   s,@CXXFLAGS@,$CXXFLAGS,;t t
14733   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 15061 | Line 14765 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14765   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14766   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14767   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14768 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14769 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14770 + s,@ZLIB@,$ZLIB,;t t
14771 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14772 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14773 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14774   s,@LIBOBJS@,$LIBOBJS,;t t
14775   s,@POW_LIB@,$POW_LIB,;t t
14776   s,@CXXCPP@,$CXXCPP,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines